Bug 25774 - Ethernet driver not loaded after installation
Ethernet driver not loaded after installation
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Florence Gold
Depends On:
  Show dependency treegraph
Reported: 2001-02-02 18:11 EST by Mark H Johnson
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-06 21:06:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark H Johnson 2001-02-02 18:11:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.0-0.99.11 i586)

Installed fisher on a system with a Etherlink III card on it. The driver
that should have been loaded on reboot (3c509) was NOT loaded and it failed
to come up. Had to use linuxconf to set the driver (as well as the host
name) to correct.

Reproducible: Always
Steps to Reproduce:
1.Install fisher on a system with an Etherlink III card
2.Reboot after install.
3.Note FAILED status for eth0.

Actual Results:  System was unable to connect to the local network. Had to
configure manually and use /etc/rc.d/rc5.d/S10network restart to correct.

Expected Results:  Driver setting should have been set for the eth0 device
so it would be loaded properly.
Comment 1 Bill Nottingham 2001-02-02 18:32:53 EST
Is that an ISA card?
Comment 2 Glen Foster 2001-02-05 17:34:48 EST
We (Red Hat) should really try to fix this before next release.
Comment 3 Panic 2001-02-06 12:59:53 EST
Are you trying to use the 3c509 in PnP mode, or did you manually set the IRQ and
I/O port?
Comment 4 Mark H Johnson 2001-02-06 13:11:58 EST
Answers to a couple questions.
 - [notting] yes, its an ISA card
 - [mdrew] hmm - I'm not sure I understand the question. I think the card is in
a default setting. I made no manual settings of the IRQ nor I/O port in
Linuxconf to get the card active (made sure DHCP was set, set the driver to
The current settings in Linuxconf for adaptor 1 are...
 [x] enabled
 [] Manual [x] Dhcp [] Bootp
... next few items blank ...
 net device eth0
 kernel module 3c509
There are no other network devices on this system.
Comment 5 Panic 2001-02-06 13:40:44 EST
The 3c509 can operate in two modes:  PnP mode and manual mode.  This mode can be
changed by utilizing the 3c5x9cfg configuration software located on the second
disk of the driver set (downloadable from 3Com).  The card being in PnP mode may
have prevented the installer from detecting the card or maybe from loading the
module (or there could be a bug with writing the /etc/modules.conf or the ifcfg
file), so the questions to ask would be:

1)You did configure networking (set to DHCP) during the installation?

2)After a clean install and a reboot, what are the contents of the
/etc/modules.conf file?

3)Also after the clean install and reboot, is the /etc/sysconfig/ifcfg-eth0 file
present and properly configured:


4)If you change the configuration of the card with 3c5x9cfg to manual mode and
set it to a free IRQ and I/O port, does the installation work properly?
Comment 6 Mark H Johnson 2001-02-06 18:49:13 EST
Hmm. It may take some time to free up a machine to test. [I'm using the last one
to compose this message...]. Here's answers as I can provide "right now".
1. Networking was configured w/ DHCP. A side note - I did one install w/ the
floppy boot & network install & got the driver (3c509) from the "driver disk".
It worked OK for the install - surprised it didn't after reboot.
2. Contents of /etc/modules.conf. Hmm. I have two copies - the .OLD one has the
following line.
alias parport_lowlevel parport_pc
the current one has that line plus
alias eth0 3c509
I assume the latter line is what's missing from the install.
3. The .OLD version of /etc/sysconfig/network-scripts/ifcfg-eth0.OLD is what you
4. I think I can do that or at least check what it was set as. If it helps,
these old machines used to be running NT 4 on them.

Comment 7 Panic 2001-02-06 21:06:43 EST
This looks maybe like Bug# 25571.
Comment 8 Michael Fulbright 2001-03-05 17:46:30 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.